{ This form displays a typical About Box. It contains the model name, version
  number and contact information. }
unit aboutbox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, stypes, frontend;

type
  TFmAbout = class(TForm)
    Image1: TImage;
    LblMBL: TLabel;
    LblModel: TLabel;
    LblVersion: TLabel;
    BtnOK: TButton;
    MoContact: TMemo;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FmAbout: TFmAbout;

implementation

{$R *.DFM}

{ Copy the current model name and version number to the Label before displaying
  the form. }
procedure TFmAbout.FormShow(Sender: TObject);
begin
 LblModel.Caption := ModelDef.modelname;
 LblVersion.Caption := 'Version ' + ModelDef.VersionNumber;
end;

end.
